import { DomainError } from './domain-error';

export class NotFoundError extends DomainError {
  public readonly code = 'NOT_FOUND';
  public readonly statusCode = 404;

  constructor(resource: string, identifier?: string) {
    super(identifier ? `${resource} with identifier ${identifier} was not found` : `${resource} not found`);
  }
}
